import { MidwayConfig } from '@midwayjs/core';
const ip = '127.0.0.1';
const project = 'ball';
const mongodb = 'count_match_v1';
export default {
  // use for cookie sign key, should change to your own and keep security
  keys: '1686030936692_986',
  koa: {
    globalPrefix: `/${project}/v1/api`,
  },
  swagger: {
    swaggerPath: `/dev/${project}/v1/doc`,
  },
  mongoose: {
    dataSource: {
      default: {
        uri: `mongodb://${ip}:27017/${mongodb}`,
        options: {
          user: 'admin',
          pass: 'admin',
          authSource: 'admin',
          useNewUrlParser: true,
        },
        entities: ['./entity'],
      },
    },
  },
  redis: {
    client: {
      port: 6379, // Redis port
      host: '127.0.0.1', // Redis host
      password: '123456',
      db: 4,
    },
  },
  axios: {
    clients: {},
  },
  export: {
    root_path: '/mnt/server/service-file/upload',
    export_path: '/mnt/server/service-file/upload',
    export_dir: 'export',
    patentInfo_dir: 'patentInfo',
    domain: 'http://127.0.0.1',
  },
  wechatSetting: {
    // 羽毛球比赛
    ballApp: {
      appid: 'wx23c71bee5876d1b9',
      secret: '8d2a8f0ba07b2d4728409971f4c71f7b',
      mchid: '1505364491',
      v3key: '1qaz2wsx3edc4rfv5tgb6yhn7ujm8ik9',
    },
  },
} as MidwayConfig;
