import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Match } from '../entity/match.entity';
type modelType = ReturnModelType<typeof Match>;
@Provide()
export class MatchService extends BaseService<modelType> {
  @InjectEntityModel(Match)
  model: modelType;
}
