import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'teamApply' },
})
export class TeamApply extends BaseModel {
  @prop({ required: false, index: true, zh: '团队id' })
  team_id: string;
  @prop({ required: false, index: true, zh: '团队名称' })
  team_name: string;
  @prop({ required: false, index: true, zh: '申请人id' })
  apply_id: string;
  @prop({ required: false, index: true, zh: '申请人名称' })
  apply_name: string;
  @prop({ required: false, index: false, zh: '申请时间' })
  apply_time: string;
  @prop({
    required: false,
    index: true,
    zh: '状态',
    remark: '字典表：status',
    default: '0',
  })
  status: string;
}
